neumoDVB

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Llew, what do you mean by "the bug was mentioned in v1.5"?

Can you try the latest master? It may be fixed but I cannot test dvb-t
Bug was in version 1.5 changes.
Scanning,spectrum acquisition and tuning.
Bug: Scanning DVB-Cand DVB-T muxes fails.

Your latest push in Github neumoDVB fails to fix DVB-T mux scanning (at least for me).

PCTV DVB-T/T2 dongle in Raspberry.

Same in updateDVB scans OK so not a signal issue.


PCTV_USB 474MHz.png

DVBT scan - zilch.pngDVBT-T2 frontend.pngscan parameters for DVBT.png
 
Last edited:

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
TBS6522 in PC (Fedora or Ubuntu) has same problem with the DVB-T scanning.

Same tuner in Crazyscan scanning OK.

DVBT-T2 frontends.png
no scan.png

TBS6522 474MHz.JPG
 

deeptho

Specialist Contributor
Joined
Apr 7, 2006
Messages
700
Reaction score
422
Points
63
Age
57
My Satellite Setup
Wavefrontier T90, Laminas 120cm, 2 other dishes; tbs 5927, tbs6904, tbs6909x, tbs6903x, tbs5990, tbs6981,tbs5927
My Location
Europe
LLew,
That must have been another bug in 1.5.

Did you actually recompile? DOr DVB-C the fix works.

How about sending a new log file?
 

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Did you actually recompile? DOr DVB-C the fix works.
I have done from Build with no change. Should I compile with a new neumodvb download?

Here's a latest log file if it's any help.
 

Attachments

  • neumo.log.zip
    9.4 KB · Views: 0

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Some success, at least with the Raspberry.

PC with TBS6522 to do.





DVB-T tune.png
 

Attachments

  • scan result.png
    scan result.png
    64 KB · Views: 16

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Some success, at least with the Raspberry.

PC with TBS6522 to do.





View attachment 155020

Doesn't lock on the PC with TBS6522. Only with the PCTV DVBT/T2 USB stick (Sony CXD2820R, as in the RPi).

Uncertain whether the neumo log will be of any help, as scanning on the PC (Fedora, also with Ubuntu) has shown to work OK with the PCTV stick.

Scanning_with_TBS6522_fails.png

DVB-T_scan_ OK_with _PCTV_USB.png
channels_with_PCTV_USB.png
 

Attachments

  • neumo.log.zip
    4.6 KB · Views: 1

deeptho

Specialist Contributor
Joined
Apr 7, 2006
Messages
700
Reaction score
422
Points
63
Age
57
My Satellite Setup
Wavefrontier T90, Laminas 120cm, 2 other dishes; tbs 5927, tbs6904, tbs6909x, tbs6903x, tbs5990, tbs6981,tbs5927
My Location
Europe
Llew,
yopu should check if the card works under linux with some other program.
 

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Llew,
yopu should check if the card works under linux with some other program.
I'm certain as far as I remember it worked on neumoDVB before the latest updates. I'll check the thread for a relevant post when i have time (busy elsewhere at present).
 

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Llew,
yopu should check if the card works under linux with some other program.
I don't have another program, I used to run Kaffeine, but don't have it on disk now.

Maybe I'm wrong in thinking I used the card for DVBT on neumo :confused
 

dx qwer

Specialist Contributor
Joined
Sep 5, 2008
Messages
786
Reaction score
963
Points
93
Age
56
Website
www.satellitescommunity.de
My Satellite Setup
C-Band: ORBITRON O-16 (4,9m)
KU-Band: KATHREIN CAS 23 (2,20m)
My Location
Rastatt/Germany
Hi,
I started with Linux PC as a newbie, so sorry for my post. NeumoDVB shows me some "problems" and I can´t "run" the program.
...in hope to get some helpful answers here? My Linux system:

Bildschirmfoto vom 2024-03-20 17-14-41.png
"Troublehooting" below:

qwer-linux@qwerlinux-MS-7D98:~$ cd ~/neumodvb/build
cmake ..
make
cd ../gui
./neuodvb,py
-- xxx=/mantic/
-- Modern OS detected - using clang 20
-- Found Python: /usr/bin/python3 (found version "3.11.6") found components: Interpreter Development Development.Module Development.Embed
-- Version: 10.1.0
-- Build type: Debug
-- pybind11 v2.10.0 dev1
-- Found Python3: /usr/bin/python3 (found version "3.11.6") found components: Interpreter
-- Found Python: /usr/bin/python3 (found suitable version "3.11.6", minimum required is "3.7") found components: Interpreter
CMake Warning (dev) at src/neumodb/CMakeLists.txt:2 (find_package):
Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules
are removed. Run "cmake --help-policy CMP0148" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.
-- Found Python3: /usr/bin/python3 (found version "3.11.6") found components: Interpreter Development Development.Module Development.Embed
-- Searching for log4cxx/logger.h
-- Searching for liblog4cxx
-- The host system is: Linux-6.5.0-10027-tuxedo.
-- Project base dir is: /home/qwer-linux/neumodvb
CMake Warning in CMakeLists.txt:
CMAKE_SKIP_INSTALL_RULES was enabled even though installation rules have
been specified
-- Configuring done (0.7s)
-- Generating done (0.1s)
-- Build files have been written to: /home/qwer-linux/neumodvb/build
[ 1%] Performing build step for 'libneumowxsvg'
Making all in src
Making all in svgxml
libtool: compile: g++ -fdebug-prefix-map=/home/qwer-linux/neumodvb=. -ffile-prefix-map=/home/qwer-linux/neumodvb=. -DPACKAGE_NAME=\"wxsvg\" -DPACKAGE_TARNAME=\"wxsvg\" -DPACKAGE_VERSION=\"1.5.23\" "-DPACKAGE_STRING=\"wxsvg 1.5.23\"" -DPACKAGE_BUGREPORT=\"http://wxsvg.sourceforge.net/\" -DPACKAGE_URL=\"\" -DPACKAGE=\"wxsvg\" -DVERSION=\"1.5.23\" -DHAVE_STDIO_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/home/qwer-linux/neumodvb/neumowxsvg/src/svgxml -fPIC -I/home/qwer-linux/neumodvb/neumowxsvg/include/wxSVGXML -g -O2 -I/usr/include/cairo -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/pixman-1 -DUSE_RENDER_CAIRO -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -pthread -I/usr/lib/x86_64-linux-gnu/wx/include/gtk3-unicode-3.2 -I/usr/include/wx-3.2 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread -MT svgxml.lo -MD -MP -MF .deps/svgxml.Tpo -c /home/qwer-linux/neumodvb/neumowxsvg/src/svgxml/svgxml.cpp -o svgxml.o
../../libtool: line 1917: g++: command not found
make[5]: *** [Makefile:408: svgxml.lo] Fehler 1
make[4]: *** [Makefile:689: all-recursive] Fehler 1
make[3]: *** [Makefile:473: all-recursive] Fehler 1
make[2]: *** [CMakeFiles/libneumowxsvg.dir/build.make:86: /home/qwer-linux/neumodvb/build_ext/neumowxsvg/src/libneumowxsvg-stamp/libneumowxsvg-build] Fehler 2
make[1]: *** [CMakeFiles/Makefile2:453: CMakeFiles/libneumowxsvg.dir/all] Fehler 2
make: *** [Makefile:91: all] Fehler 2
bash: ./neuodvb,py: Datei oder Verzeichnis nicht gefunden
qwer-linux@qwerlinux-MS-7D98:~/neumodvb/gui$
 
Last edited:

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Hi,
I started with Linux PC as a newbie, so sorry for my post. NeumoDVB shows me some "problems" and I can´t "run" the program.
...in hope to get some helpful answers here? My Linux system:

View attachment 155247
"Troublehooting" below:

qwer-linux@qwerlinux-MS-7D98:~$ cd ~/neumodvb/build
cmake ..
make
cd ../gui
./neuodvb,py
-- xxx=/mantic/
-- Modern OS detected - using clang 20
-- Found Python: /usr/bin/python3 (found version "3.11.6") found components: Interpreter Development Development.Module Development.Embed
-- Version: 10.1.0
-- Build type: Debug
-- pybind11 v2.10.0 dev1
-- Found Python3: /usr/bin/python3 (found version "3.11.6") found components: Interpreter
-- Found Python: /usr/bin/python3 (found suitable version "3.11.6", minimum required is "3.7") found components: Interpreter
CMake Warning (dev) at src/neumodb/CMakeLists.txt:2 (find_package):
Policy CMP0148 is not set: The FindPythonInterp and FindPythonLibs modules
are removed. Run "cmake --help-policy CMP0148" for policy details. Use
the cmake_policy command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.
-- Found Python3: /usr/bin/python3 (found version "3.11.6") found components: Interpreter Development Development.Module Development.Embed
-- Searching for log4cxx/logger.h
-- Searching for liblog4cxx
-- The host system is: Linux-6.5.0-10027-tuxedo.
-- Project base dir is: /home/qwer-linux/neumodvb
CMake Warning in CMakeLists.txt:
CMAKE_SKIP_INSTALL_RULES was enabled even though installation rules have
been specified
-- Configuring done (0.7s)
-- Generating done (0.1s)
-- Build files have been written to: /home/qwer-linux/neumodvb/build
[ 1%] Performing build step for 'libneumowxsvg'
Making all in src
Making all in svgxml
libtool: compile: g++ -fdebug-prefix-map=/home/qwer-linux/neumodvb=. -ffile-prefix-map=/home/qwer-linux/neumodvb=. -DPACKAGE_NAME=\"wxsvg\" -DPACKAGE_TARNAME=\"wxsvg\" -DPACKAGE_VERSION=\"1.5.23\" "-DPACKAGE_STRING=\"wxsvg 1.5.23\"" -DPACKAGE_BUGREPORT=\"http://wxsvg.sourceforge.net/\" -DPACKAGE_URL=\"\" -DPACKAGE=\"wxsvg\" -DVERSION=\"1.5.23\" -DHAVE_STDIO_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/home/qwer-linux/neumodvb/neumowxsvg/src/svgxml -fPIC -I/home/qwer-linux/neumodvb/neumowxsvg/include/wxSVGXML -g -O2 -I/usr/include/cairo -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/pixman-1 -DUSE_RENDER_CAIRO -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/fribidi -I/usr/include/cairo -I/usr/include/pixman-1 -pthread -I/usr/lib/x86_64-linux-gnu/wx/include/gtk3-unicode-3.2 -I/usr/include/wx-3.2 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread -MT svgxml.lo -MD -MP -MF .deps/svgxml.Tpo -c /home/qwer-linux/neumodvb/neumowxsvg/src/svgxml/svgxml.cpp -o svgxml.o
../../libtool: line 1917: g++: command not found
make[5]: *** [Makefile:408: svgxml.lo] Fehler 1
make[4]: *** [Makefile:689: all-recursive] Fehler 1
make[3]: *** [Makefile:473: all-recursive] Fehler 1
make[2]: *** [CMakeFiles/libneumowxsvg.dir/build.make:86: /home/qwer-linux/neumodvb/build_ext/neumowxsvg/src/libneumowxsvg-stamp/libneumowxsvg-build] Fehler 2
make[1]: *** [CMakeFiles/Makefile2:453: CMakeFiles/libneumowxsvg.dir/all] Fehler 2
make: *** [Makefile:91: all] Fehler 2
bash: ./neuodvb,py: Datei oder Verzeichnis nicht gefunden
qwer-linux@qwerlinux-MS-7D98:~/neumodvb/gui$

Hi dx qwer

Guessing here, g++ command not found: check that g++ is actually installed by running this in your terminal :-

g++ --version

- or checking in /usr/bin for g++ and its version.

You have installed build-essential? (assuming you're using Ubuntu).

sudo apt-get install build-essential

g
 

dx qwer

Specialist Contributor
Joined
Sep 5, 2008
Messages
786
Reaction score
963
Points
93
Age
56
Website
www.satellitescommunity.de
My Satellite Setup
C-Band: ORBITRON O-16 (4,9m)
KU-Band: KATHREIN CAS 23 (2,20m)
My Location
Rastatt/Germany
Thanks a lot for your reply and useful help @Liew. Checked now what you wrote above. In my terminal it shows now:

g++ (Ubuntu 13.2.0-4ubuntu3) 13.2.0

I can open "neumodvb.py" now for the first time here.


Bildschirmfoto vom 2024-04-02 16-39-01.png
 

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
Thanks a lot for your reply and useful help @Liew. Checked now what you wrote above. In my terminal it shows now:

g++ (Ubuntu 13.2.0-4ubuntu3) 13.2.0

I can open "neumodvb.py" now for the first time here.


View attachment 155249
That's good news :Y

Enjoy the program dx qwer :)
 

dx qwer

Specialist Contributor
Joined
Sep 5, 2008
Messages
786
Reaction score
963
Points
93
Age
56
Website
www.satellitescommunity.de
My Satellite Setup
C-Band: ORBITRON O-16 (4,9m)
KU-Band: KATHREIN CAS 23 (2,20m)
My Location
Rastatt/Germany
Good morning,

today I noticed that following appears in the terminal when I open the program:
Cannot load libcuda.so.1

I have obviously not yet managed to install the drivers for the TBS 6909X, as the frontends list is still empty.
 

Attachments

  • Bildschirmfoto vom 2024-04-03 08-29-31.png
    Bildschirmfoto vom 2024-04-03 08-29-31.png
    29.9 KB · Views: 8

Llew

cerca trova...
Staff member
Joined
Jan 1, 2000
Messages
16,233
Reaction score
4,202
Points
113
Age
81
My Satellite Setup
Triple Dragon, Dreambox 8000, Echostar AD3000ip, TBS6522,6925,6983 PCie cards.
Gibertini 1.25m motorised dish driven by the AD3000, with either Inverto BU Quad or Norsat / XMW Ka LNBs . SMW 1.05m + 3 other dishes. Speccy: Promax HD Ranger+
My Location
The Flatlands of East Anglia
today I noticed that following appears in the terminal when I open the program:
Cannot load libcuda.so.1
Ignore. According to deeptho, cuda isn't necessary to run neumoDVB.

have obviously not yet managed to install the drivers for the TBS 6909X, as the frontends list is still empty.
media_build using deeptho's installation instructions normally finds the drivers for TBS cards :-

 

dx qwer

Specialist Contributor
Joined
Sep 5, 2008
Messages
786
Reaction score
963
Points
93
Age
56
Website
www.satellitescommunity.de
My Satellite Setup
C-Band: ORBITRON O-16 (4,9m)
KU-Band: KATHREIN CAS 23 (2,20m)
My Location
Rastatt/Germany
Hello Llew,

since I have Ubuntu 23.10, I seem to get errors with the following command for "software for kernel compilation (for fedora)"...

Is there a command "software for kernel compilation" for ubuntu in my terminal?Bildschirmfoto vom 2024-04-03 16-55-41.png
 

RyLe

Member
Joined
Sep 14, 2011
Messages
21
Reaction score
4
Points
3
Age
44
Location
France
My Satellite Setup
Wavefrontier T90, 8W to 28.2E
TBS 6909-X, TBS 6904SE, TBS 6983
My Location
France
Hi

It's been a while since I had an error compiling the blindscan driver after each Fedora kernel update but this moment has come.

Going from a 6.7.11 to a 6.8.4 there are at least two kind of errors:
Code:
/home/ryle/blindscan_kernel/media_build/v4l/cec-notifier.c: In function 'cec_notifier_parse_hdmi_phandle':
/home/ryle/blindscan_kernel/media_build/v4l/cec-notifier.c:228:38: error: invalid use of undefined type 'struct platform_device'
  228 |                 hdmi_dev = &hdmi_pdev->dev;
      |                                      ^~

which can be corrected by adding
Code:
#include <linux/platform_device.h>
to
Code:
~/blindscan_kernel/media/drivers/media/cec/core/cec-notifier.c

but then, there are a bunch of errors about the function strlcpy being undefined like this one:

Code:
/home/ryle/blindscan_kernel/media_build/v4l/tbs_pcie.c: In function 'tbs_vidioc_enum_fmt_vid_cap':
/home/ryle/blindscan_kernel/media_build/v4l/tbs_pcie.c:112:17: error: implicit declaration of function 'strlcpy'; did you mean 'strscpy'? [-Werror=implicit-function-declaration]
  112 |                 strlcpy(f->description, "YUV 4:2:2", sizeof(f->description));
      |                 ^~~~~~~
      |                 strscpy

there are too many instances of strlcpy for me to patch by hand.

I think the blindscan driver may need a rebase with a current kernel.
 

deeptho

Specialist Contributor
Joined
Apr 7, 2006
Messages
700
Reaction score
422
Points
63
Age
57
My Satellite Setup
Wavefrontier T90, Laminas 120cm, 2 other dishes; tbs 5927, tbs6904, tbs6909x, tbs6903x, tbs5990, tbs6981,tbs5927
My Location
Europe
Hi

It's been a while since I had an error compiling the blindscan driver after each Fedora kernel update but this moment has come.

Going from a 6.7.11 to a 6.8.4 there are at least two kind of errors:
Code:
/home/ryle/blindscan_kernel/media_build/v4l/cec-notifier.c: In function 'cec_notifier_parse_hdmi_phandle':
/home/ryle/blindscan_kernel/media_build/v4l/cec-notifier.c:228:38: error: invalid use of undefined type 'struct platform_device'
  228 |                 hdmi_dev = &hdmi_pdev->dev;
      |                                      ^~

which can be corrected by adding
Code:
#include <linux/platform_device.h>
to
Code:
~/blindscan_kernel/media/drivers/media/cec/core/cec-notifier.c

but then, there are a bunch of errors about the function strlcpy being undefined like this one:

Code:
/home/ryle/blindscan_kernel/media_build/v4l/tbs_pcie.c: In function 'tbs_vidioc_enum_fmt_vid_cap':
/home/ryle/blindscan_kernel/media_build/v4l/tbs_pcie.c:112:17: error: implicit declaration of function 'strlcpy'; did you mean 'strscpy'? [-Werror=implicit-function-declaration]
  112 |                 strlcpy(f->description, "YUV 4:2:2", sizeof(f->description));
      |                 ^~~~~~~
      |                 strscpy

there are too many instances of strlcpy for me to patch by hand.

I think the blindscan driver may need a rebase with a current kernel.
Assuming that this is not due to making a mistake while compiling: Why don't you use an older kernel?
 

RyLe

Member
Joined
Sep 14, 2011
Messages
21
Reaction score
4
Points
3
Age
44
Location
France
My Satellite Setup
Wavefrontier T90, 8W to 28.2E
TBS 6909-X, TBS 6904SE, TBS 6983
My Location
France
I haven't found a durable mean to stop my Fedora install from upgrading kernel packages.
When I can't compile blindscan_kernel because of breaking changes made to the kernel sources by a version change, I use grubby to go back to a kernel version I had modules compiled for.
The distro can only keep a certain amount of old kernel versions before the last known good one will be erased.
 

deeptho

Specialist Contributor
Joined
Apr 7, 2006
Messages
700
Reaction score
422
Points
63
Age
57
My Satellite Setup
Wavefrontier T90, Laminas 120cm, 2 other dishes; tbs 5927, tbs6904, tbs6909x, tbs6903x, tbs5990, tbs6981,tbs5927
My Location
Europe
I haven't found a durable mean to stop my Fedora install from upgrading kernel packages.
When I can't compile blindscan_kernel because of breaking changes made to the kernel sources by a version change, I use grubby to go back to a kernel version I had modules compiled for.
The distro can only keep a certain amount of old kernel versions before the last known good one will be erased.I
It will never erase the kernel you are running, so yo should be safe. Usually the problems like the ones you are experiencing
are due to not updating linux_media or media_build or starting from some "dirty" build tree
 
Top